put
https://partner.gupshup.io/partner/bizgate/app//group/
Updates the subject, description, and optional profile picture of a WhatsApp group by group id.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| groupId | Identifier of the WhatsApp group. | 120363021051234567 | String | Required |
Query parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| messaging_product | Messaging product the group belongs to. | String | Optional | |
| subject | Group subject (its display name). | Acme support | String | Optional |
| description | Group description shown to participants. | — | String | Optional |
| file_type | Media type of the group profile image. | image/jpeg | String | Optional |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| messaging_product | Messaging product identifier | — | Optional | |
| subject | Group subject / name | My WhatsApp Group | — | Optional |
| description | Group description | This is a group description | — | Optional |
| file_type | File MIME type for the group icon | image/jpeg | — | Optional |
| file | Group icon image file | — | String | Optional |
Sample cURL — Update group profile.
curl --request PUT \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/group/120363021051234567?messaging_product=whatsapp&subject=Acme%20support&file_type=image/jpeg' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--form 'messaging_product=whatsapp' \
--form 'subject=My WhatsApp Group' \
--form 'description=This is a group description' \
--form 'file_type=image/jpeg' \
--form 'file=@/path/to/file'Sample success response (200)
{
"status": "success",
"data": {
"messaging_product": "whatsapp",
"request_id": "A1B2C3D4E5F6G7H8I9J0K1L2M3N4O5P6"
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…